#ifndef _TRIGUTIL_H_
#define _TRIGUTIL_H_

/*
  ---- Delphes ----
  A Fast Simulator for general purpose LHC detector
  S. Ovyn ~~~~ severine.ovyn@uclouvain.be
  
  Center for Particle Physics and Phenomenology (CP3)
  Universite Catholique de Louvain (UCL)
  Louvain-la-Neuve, Belgium
*/

/// \file SmearUtil.h
/// \brief RESOLution class, and some generic definitions


#include <vector>
#include "TLorentzVector.h"

#include "Utilities/ExRootAnalysis/interface/BlockClasses.h"
#include "Utilities/ExRootAnalysis/interface/TSimpleArray.h"

using namespace std;

class Trigger
{
 public:
  /// Constructor
  Trigger();

  vector<int> GetCuts(const vector<string> &Sequences);

  void getTrigCondition(const std::string& trigger_algorithm);

  void TriggerReader(const string filename="data/trigger.dat");

};

#endif
